Skip to main content
GET
/
overview_stats
Get community overview stats
curl --request GET \
  --url https://community.dashsocial.com/overview_stats \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "average_response_time": 123,
    "follow_up_count": 123,
    "new_message_count": 123,
    "reply_rate": 123,
    "total_count": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

brand_ids
integer[]
required

List of brand_ids to fetch overview stats for

types
enum<string>[]

Comma separated list of types.

Available options:
FACEBOOK_ADS_COMMENT,
FACEBOOK_COMMENT,
FACEBOOK_CONVERSATION,
INSTAGRAM_ADS_COMMENT,
INSTAGRAM_COMMENT,
INSTAGRAM_CONVERSATION,
TIKTOK_CAPTION_MENTION,
TIKTOK_COMMENT,
TIKTOK_COMMENT_MENTION,
TWITTER_CONVERSATION,
TWITTER_MENTION,
TWITTER_QUOTE,
TWITTER_RETWEET,
YOUTUBE_COMMENT
tag_ids
integer[]

Comma separated list of tag IDs to filter results by. Condition is AND

source_updated_after
string<date-time>

When the community interaction was updated according to the source platform.

source_updated_before
string<date-time>

When the community interaction was updated according to the source platform.

is_archived
boolean

Whether the community interaction is marked as archived.

is_follow_up
boolean

Whether the community interaction is marked as follow-up.

query
string

A text that helps search for relevant records.

multiple_keywords
boolean

Flag to determine if query is a list of comma separated keywords.

media_ids
integer[]

Comma separated list of library media IDs

is_positive
boolean

Is the comment is labeled as positive.

is_neutral
boolean

Is the comment is labeled as positive.

is_negative
boolean

Is the comment is labeled as positive.

is_question
boolean

Is the comment a question.

is_spam
boolean

Is the comment spam.

ticket_id
string

A ticket ID to filter results by with OR condition.

assignee_id
integer

ID of the assigned user

assignee_ids
integer[]

Comma separated list of assignee user IDs to filter by

interaction_rule_id
integer

The interaction rule by which to filter stats

Determine if a response is recommended for the interaction.

operators
object

A map of field names, from this schema (and parent schemas), that operators types are provided for.

deleted_by
enum<string>

Filter by interactions that were deleted by user or rule

Available options:
RULE,
USER
message_content
enum<string>[]

Message content type to filter by

Available options:
EMOJI_ONLY,
GIF_ONLY,
HASHTAG_ONLY,
LINK_ONLY,
MENTION_ONLY,
ONE_WORD_ONLY,
UNSUPPORTED
subtype
enum<string>[]

Subtypes to filter by

Available options:
POST_SHARE,
REEL_SHARE,
STORY_MENTION,
STORY_REPLY
ai_category_ids
integer[]

Comma separated list of AI category IDs to filter by

interaction_rule_ids
integer[]

The interaction rules by which to filter stats

Response

OK

data
object
required

The sentiment distribution per platform